#include <iostream>

using namespace std;

int main()
{
    int n,k,res,pom=0;
    cin>>n>>k>>res;
    if(res==k)
    {
        pom=1;
    }
    for(int i=0;i<n-1;i++)
    {
        int x;
        cin>>x;
        if(pom==1)
        {
            res=x;
            pom=0;
        }
        if(x==k)
        {
            pom=1;
        }
    }
    cout<<res;
    return 0;
}